#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.8
visibility:           public
id:                   hOpenPGP-2.9.8-5aGyc5A4wZk3GvzW20Nir7
key:                  hOpenPGP-2.9.8-5aGyc5A4wZk3GvzW20Nir7
license:              MIT
copyright:            2012-2022  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  0f29e992d0f4d8eb5529d7a4bd0ee6f8
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hOpenPGP-2.9.8
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hOpenPGP-2.9.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.9.8-5aGyc5A4wZk3GvzW20Nir7
depends:
    aeson-2.1.2.1-AEAcBNDnyHsCd1TQh9QYcs
    asn1-encoding-0.9.6-12vyWbdZjh184O3ewFlB7g
    attoparsec-0.14.4-3uzSp4DJeNe8DMv46inf7D base-4.16.4.0
    base16-bytestring-1.0.2.0-782qI6Y9xiJ9xGN2Wl1pB
    bifunctors-5.6-DzNImiMBKLAEZsZXzFZtgV binary-0.8.9.0
    binary-conduit-1.3.1-AFB3TQV0a7tLqtSD0shC5V bytestring-0.11.4.0
    bz2-1.0.1.1-A3zKazSfnaF6PoWv9oagw3
    conduit-1.3.6.1-KSzGaZ8cq4P3htohnAruUm
    conduit-extra-1.3.6-3APheuRB5Ma6Fst0MSk3ZV containers-0.6.5.1
    crypto-cipher-types-0.0.9-JlEUy6YMnlQJGxVQmgyp8z
    cryptonite-0.30-GtEynolGWCjI01Ni8Hp5Bz
    errors-2.3.0-ABfHYthXG03F5VJopYZxQZ
    hashable-1.4.4.0-Eh4n1fgdym83z63BlyWtti
    incremental-parser-0.5.1-4qJEgameA10Eh3CP5T2n5c
    ixset-typed-0.5.1.0-DF0JSHiWIrO5hpYj0IxUfb
    lens-5.2.3-BcbsjteKstPEavVOJbsbR8
    memory-0.18.0-Hvum6HaH78UJG59LYyNLK1
    monad-loops-0.4.3-1PoLx7GFY2f6JjKzBe0o6E
    nettle-0.3.1.1-L3xnVJ00D4a5M1YFOenxXQ
    network-uri-2.6.4.2-CDaH8rNPFTB88aKk8dq3Aq
    openpgp-asciiarmor-0.1.2-Bvpkt96gLBM1ZjGGte1QQr
    prettyprinter-1.7.1-P4nIstiPm4DFD12od2xCI
    resourcet-1.2.6-2C7ht4TXA2B8naDsqbVbO6
    split-0.2.5-EkKdRyoAFQJ7wF5Fnl53p4 text-1.2.5.0 time-1.11.1.1
    time-locale-compat-0.1.1.5-LoE3V3We7KBAnFwKjT98C2
    transformers-0.5.6.2 unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-LlU8nq86YFE5MC7DkoTKas
    zlib-0.6.3.0-4B1pWLxXLBn12pxpJs4vbI

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

